Bug 333081 - Programs linked with blt cannot find the libraries
Summary: Programs linked with blt cannot find the libraries
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blt (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jean-Luc Fontaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 352761
TreeView+ depends on / blocked
 
Reported: 2007-10-15 20:35 UTC by Sergio Pascual
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 2.4-19.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 18:36:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sergio Pascual 2007-10-15 20:35:00 UTC
Description of problem:
Programs compiled with blt don't find the libraries after compiling, because the
libraries aren't in the ldconfig search path. The package should add a file in
/etc/ld.so.conf.d

Version-Release number of selected component (if applicable):
blt-2.4-14.z.fc6

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jean-Luc Fontaine 2007-10-18 11:11:55 UTC
tcl itself has no entry in /etc/ld.so.conf.d


Comment 2 Sergio Pascual 2007-10-18 11:33:59 UTC
But tcl library is in /usr/lib/libtk8.4.so 
It doesn't need an entry in /etc/ld.so.conf.d

Comment 3 Fedora Update System 2007-11-06 16:13:45 UTC
blt-2.4-18.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blt'

Comment 4 Fedora Update System 2007-11-09 23:58:16 UTC
blt-2.4-18.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blt'

Comment 5 Matthew Truch 2007-11-15 03:20:02 UTC
The fix works great for me, but I am slightly confused as to why the file in
ld.so.conf.d is named after ds9 (an obvious user of this library) but not after
the library itself.  I believe the appropriate name of the file should have blt
in it instead, ie the spec file line should read:

echo "%{_libdir}/blt2.4" >>
$RPM_BUILD_ROOT/%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

Comment 6 Sergio Pascual 2007-11-15 08:00:21 UTC
I have submitted blt-2.4-19 that fixes this

Comment 7 Fedora Update System 2007-11-16 00:38:05 UTC
blt-2.4-19.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blt'

Comment 8 Fedora Update System 2007-11-16 00:39:07 UTC
blt-2.4-19.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blt'

Comment 9 Fedora Update System 2007-11-26 18:36:32 UTC
blt-2.4-19.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2007-11-26 18:41:38 UTC
blt-2.4-19.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.